Bug 804035 - libXt-1.1.3 is available
libXt-1.1.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:28 EDT by Upstream Release Monitoring
Modified: 2014-06-18 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-17 19:27:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-03-16 07:28:38 EDT
Latest upstream release: 1.1.3
Current version in Fedora Rawhide: 1.1.1
URL: http://xorg.freedesktop.org/archive/individual/lib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-03-16 07:40:47 EDT
1.1.3 announce:

This regression repair release reverts a regrettable revision that resulted in:

    https://bugs.freedesktop.org/show_bug.cgi?id=47203
    https://bugs.freedesktop.org/show_bug.cgi?id=47216

 *Revert "Treat unexpected returned events from poll as errors"

===============================================================

1.1.2 announce:

This release includes a good number of bug fixes, some initial unit tests
for checking several recent fixes, compiler warning cleanups, and build 
configuration improvements.

The included documentation for the libXt API has been transformed into the
DocBook/XML format, to allow processing with the same toolchain as the rest 
of the X.Org docs, producing better and more modern output formats, and 
providing support for cross-linking with the other X.Org docs.

      Add test framework similar to xserver and use it to test XtAsprintf
      Add test case for XtAppMainLoop bug 34715
      Add test case for XtCvtIntToPixmap fix in commit 16d9941f3aa38
      Strip trailing whitespace
      makestrs: Add const attributes to fix gcc -Wwrite-strings warnings
      Convert ISOLatin1 functions to specify args as const char *
      Make gravity strings const to fix gcc -Wwrite-strings warnings
      Make implementation_default_path return const char *
      Add const attributes to slashDotXdefaults to fix gcc -Wwrite-strings
                                                                  warnings
      Add const attributes to TMparse typedefs to fix gcc -Wwrite-strings
                                                                 warnings
      Update README for documentation reference
      docbook.am: embed css styles inside the HTML HEAD element
      Add .gitignore for the newly added DocBook/XML generated files.
      LP64 fix for TypedArgToArg()
      Don't pop elements from our array while we're itterating through it.
      Whitespace changes related to cleaning up previous patch
      Treat unexpected returned events from poll as errors
      Only link with ws2_32 for mingw target
      Bug 34715: XtAppMainLoop doesn't work without a Display
      Initial docbook conversion.
      Remove old files.
      informaltable cleanup
      Bug 40577 - Missing bound checking in FreeSelectionProperty()
      Don't re-enter the WaitLoop if block is set to false
Comment 2 Filipe Rosset 2014-05-17 19:27:35 EDT
libXt-1.1.4 already in rawhide

Note You need to log in before you can comment on or make changes to this bug.